import type { Run } from "../run";
import type { VcsServiceConfig } from "./VcsService";
import type { VcsConnector } from './types';
export declare class DefaultVcsConnector implements VcsConnector {
    private run;
    constructor(run: Run<VcsServiceConfig>);
    getData(): {
        mtimes: {};
        authors: {};
        contributors: {};
    };
    setData(): void;
    getBase(): Promise<RelativePath>;
    getContributorsByPath(): Promise<never[]>;
    getModifiedTimeByPath(path: RelativePath): Promise<number>;
    getAuthorByPath(): Promise<null>;
    getUserByLogin(): Promise<null>;
}
